import * as cc from 'cc';

const {ccclass, property} = cc._decorator;

@ccclass
export default class NewClass extends cc.Component {

    @property(cc.Label)
    label: cc.Label = null;

    @property
    text: string = 'hello';

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {}

    start () {
        let big = this.node.getChildByName("big");
        let widget = big.getComponent(cc.Widget);
        widget.bottom = 110;

        big = this.node.getChildByName("Sprite");
        widget = big.getComponent(cc.Widget);
        widget.bottom = 110;
    }

    // update (dt) {}
}
